Bug 1276022 - Sat6 should hide unusable hostgroups from the dropdown menu when creating new host
Sat6 should hide unusable hostgroups from the dropdown menu when creating new...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 08:20 EDT by Maxim Burgerhout
Modified: 2017-01-12 10:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 10:09:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Burgerhout 2015-10-28 08:20:30 EDT
Description of problem:
I created a role that has only the following filters:

Host Group 	view_hostgroups 		label ~ QA%
Host/managed 	create_hosts 		hostgroup_fullname ~ QA%

The way I understand this, this role should allow me to view hostgroups that start with 'QA' and create hosts in those same hostgroups only.

When I start creating a new host however, the dropdown menu in the new host screen still allows me to pick hostgroups that do not have 'QA' in their name.

Version-Release number of selected component (if applicable):
foreman-1.7.2.43-1.el7sat.noarch

How reproducible:


Steps to Reproduce:
1. Create role with filters as above
2. Attach role to user, log in with that uesr
3. Go to 'New host', click 'Host Group'

Actual results:
All hostgroups will show.

Expected results:
Only hostgroups that match the view_hostgroups filter for my role (i.e. hostgroups that start match 'QA%' are shown. 

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:10:40 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-01-12 10:09:40 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.